DKBSignDocs

API reference

GETRequires Bearer token

List activity log

/api/logs-audit/events/activity

Retrieve /api/logs-audit/events/activity. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

This endpoint has no path parameters.

Query parameters

FieldTypeDescription
action
stringActivity action.
q
stringFull-text search.
date_from
stringLower bound.
date_to
stringUpper bound.
limit
integerPage size.
e.g. 50
offset
integerOffset.
e.g. 0

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Activity
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/logs-audit/events/activity?action=action&q=q&date_from=date_from&date_to=date_to&limit=50&offset=0' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
[
  {
    "id": 1,
    "user": "Jane Doe",
    "action": "login",
    "date": "2026-03-01T10:00:00Z"
  }
]